#NONAMEFORCOMMIT

%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	D-Bus Python Bindings 
Name:		dbus-python%{PVER}
Version:	0.83.1
Release:	1
URL:		http://www.freedesktop.org/software/dbus/
Source0:	http://dbus.freedesktop.org/releases/dbus-python-%{version}.tar.gz
License:	AFL/GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	i686
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-pyrex
BuildRequires:	dbus-devel

Provides:	dbus-python = %{version}-%{release}
Obsoletes:	dbus-python <= %{version}-%{release}
Obsoletes:	dbus-python25 <= %{version}-%{release}

#Automatically resolved build dependencies
BuildRequires: dbus-glib-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: pkg-config

%description
D-Bus python bindings for use with python programs.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%prep
%setup -q -n dbus-python-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
./configure --prefix=%_prefix PYTHON=%_bindir/%{__python}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_ROOT%_docdir/dbus-python

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README doc/*
%{python_sitearch}/dbus
%{python_sitearch}/_dbus*
%{python_sitearch}/dbus_bindings*

%files devel
%defattr(-,root,root)
%{_includedir}/dbus-1.0/dbus/dbus-python.h
%{_pkgconfig}/dbus-python.pc

%changelog
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.83.1-1
- Version update
* Fri Oct 30 2009 Christian Wasem <wasem@ccux-linux.de> 0.83.0-3
- rebuild against python26-2.6.3-1, added devel package
* Sun Oct 25 2009 Christian Wasem <wasem@ccux-linux.de> 0.83.0-2
- rebuild against python25-2.5.4-3
* Tue Apr 15 2008 Christian Wasem <wasem@ccux-linux.de> 0.82.4-1
- Version update
* Sun Feb 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.80.1-1
- Version update
* Sun Oct 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.71-2
- rebuilt against dbus 0.94
* Fri Sep 29 2006 Christian Metzen <arcam@ccux-linux.de> 0.71-1
- Version update
* Thu Sep 28 2006 Christian Metzen <metzench@ccux-linux.de> 0.70-1
- Initial release
